%define major 2_1.8
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d


Summary:        A GNU package for creating portable C++ programs
Name:           commoncpp
Version:        1.8.1
Release:        %mkrel 12
Group:          Development/C++
URL:            http://www.gnutelephony.org
Source:         http://ftp.gnu.org/gnu/commoncpp/commoncpp2-%{version}.tar.gz
Patch0:         applog_pipe.patch
Patch1:         applog_pipe_fixing.patch
License:        GPL
BuildRequires:  doxygen
BuildRequires:  glibc-static-devel
BuildRequires:  libstdc++-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel

%description
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          System/Libraries

%description -n %libname
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the shared library part of CommonC++.

%package -n %libnamedev
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:       %libname = %{version}-%{release}
Provides:       lib%{name}2-devel = %{version}-%{release}
Provides:       libcommoncpp-devel
Requires:       libxml2-devel

%description -n %libnamedev
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the development files and documentation needed to build
programs with CommonC++.

%prep
%setup -q -n commoncpp2-%{version}
%patch0 -p0 -b .missing_include
%patch1 -p0 -b .pipe_flush

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure2_5x
make LIBTOOL=%_bindir/libtool

%install
%makeinstall_std LIBTOOL=%_bindir/libtool
%multiarch_binaries %buildroot/%_bindir/ccgnu2-config

%files -n %libname
%defattr(-,root,root,0755)
%_libdir/*-1.8.so.*

%files -n %libnamedev
%defattr(-,root,root,0755)
%doc AUTHORS NEWS README TODO COPYING COPYING.addendum THANKS ChangeLog doc/html
%_bindir/*/ccgnu2-config
%_bindir/ccgnu2-config
%_datadir/aclocal/*
%_infodir/*
%_libdir/*.so
%_libdir/*.la
%exclude %_libdir/*.a
%_includedir/cc++
%_libdir/pkgconfig/*.pc

%post -n %libnamedev
%_install_info commoncpp2.info

%postun -n %libnamedev
%_remove_install_info commoncpp2.info




%changelog
* Sun Dec 20 2015 tv <tv> 1.8.1-12.mga6
+ Revision: 912655
- fix file list

* Mon Aug 24 2015 cjw <cjw> 1.8.1-11.mga6
+ Revision: 868922
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-10.mga5
+ Revision: 749431
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.8.1-9.mga5
+ Revision: 693664
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-8.mga5
+ Revision: 678505
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-7.mga4
+ Revision: 503458
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.8.1-6.mga3
+ Revision: 348093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 1.8.1-5.mga3
+ Revision: 343182
- forgotten patch
- Added patch from svn to fix pipe behavior

* Mon Dec 31 2012 wally <wally> 1.8.1-4.mga3
+ Revision: 336565
- fix build with new automake 1.13

* Wed Dec 12 2012 pterjan <pterjan> 1.8.1-3.mga3
+ Revision: 329872
- Bye bye static library

  + blino <blino>
    - rebuild to get info pages as xz instead of lzma

* Sun Jan 16 2011 anaselli <anaselli> 1.8.1-1.mga1
+ Revision: 20060
- removed useless macros
- imported package commoncpp

